# Billogram Foundation

> Billogram's visual guidelines and components

[![npm version](https://img.shields.io/npm/v/billogram-foundation.svg?style=flat-square)](https://www.npmjs.com/package/billogram-foundation)

## Requirements

To be able to develop and publish this module these dependencies need to be installed globally: `yarn` and `npm@5`.

## How to patch an older release branch

Checkout the tag of the latest version (vx.y.z) in the older branch. Create a feature version branch <feature/vx.y.z> based on this tag. From the feature version branch create a fix branch <fix/issue> and fix the issue.

```
> git checkout <vx.y.z>
> git checkout -b <feature/vx.y.z>
> git checkout -b <fix/issue>
> git push origin <fix/issue>
```

Create and merge a pull request from <fix/issue> to <feature/vx.y.z>. Create a new patch version, and push tag to GitHub. Publish the new patch version as an old version on npm.

```
> git checkout <feature/vx.y.z>
> git pull --rebase
> npm version patch
> git push --tags origin <feature/vx.y.z>
> npm publish --tag old-version
```

NOTE: Assuming this was the major/minor release before the current release; otherwise we need to merge into intermediate release branches as well.

Create and merge a pull request from <feature/vx.y.z> to master. Create a new patch version, and push tag to GitHub. Publish the new patch version to npm.

```
> git checkout master
> git pull --rebase
> npm version patch
> git push --tags origin master
> npm publish
```

## License

MIT
